# Class WrappedMeta

#### Hierarchy

- WrappedMeta

- Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/accounts/wrapped.ts:59

#####
Index

### Constructors

constructor

### Properties

chain
lastUpdatedSequence?
originalDecimals
tokenAddress

### Methods

deserialize

## Constructors

### constructor

- new WrappedMeta(chain, tokenAddress, originalDecimals, lastUpdatedSequence?): WrappedMeta

- #### Parameters

  - ##### chain: number

  - ##### tokenAddress: Buffer

  - ##### originalDecimals: number

  - ##### `Optional` lastUpdatedSequence: bigint

  #### Returns WrappedMeta

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/accounts/wrapped.ts:65

## Properties

### chain

chain: number

- Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/accounts/wrapped.ts:60

### `Optional` lastUpdatedSequence

lastUpdatedSequence?: bigint

- Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/accounts/wrapped.ts:63

### originalDecimals

originalDecimals: number

- Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/accounts/wrapped.ts:62

### tokenAddress

tokenAddress: Buffer

- Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/accounts/wrapped.ts:61

## Methods

### `Static` deserialize

- deserialize(data): WrappedMeta

- #### Parameters

  - ##### data: Buffer

  #### Returns WrappedMeta

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/accounts/wrapped.ts:77

Generated using TypeDoc